NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder Class Reference

Represents a NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder used to reverse directions for specified beam elements. More...

Inheritance diagram for NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder:
NXOpen::Builder NXOpen::CAE::ModelCheck::ISelectionBuilder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

virtual
NXOpen::CAE::ModelCheck::CheckScope 
CheckScopeOption ()
 Returns the check scope setting
Created in NX11.0.1. More...
 
void DisplayDirections ()
 Display directions of NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder::SelectionList
Created in NX8.5.0. More...
 
std::vector
< NXOpen::CAE::FEElement * > 
ReverseDirections ()
 Reverses directions specified in NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder::SelectionList and returns those elements whose directions were reversed successfully. More...
 
NXOpen::SelectTaggedObjectListSelectionList ()
 Returns the selected objects to be checked. More...
 
virtual void SetCheckScopeOption (NXOpen::CAE::ModelCheck::CheckScope scope)
 Sets the check scope setting
Created in NX11.0.1. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder used to reverse directions for specified beam elements.

You can reverse beam element directions by using either Builder::Commit or NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder::ReverseDirections . The difference between these two methods is Builder::Commit reverses the directions and updates direction display, but it does not return the beam elements which were reversed successfully. NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder::ReverseDirections reverses directions and returns the beam elements which were reversed successfully. Both of the methods are only available in fem context.
To create a new instance of this class, use NXOpen::CAE::ModelCheckManager::CreateReverseBeamElementDirectionBuilder

Created in NX8.5.0.

Member Function Documentation

virtual NXOpen::CAE::ModelCheck::CheckScope NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder::CheckScopeOption ( )
virtual

Returns the check scope setting
Created in NX11.0.1.



License requirements : None

Implements NXOpen::CAE::ModelCheck::ISelectionBuilder.

void NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder::DisplayDirections ( )

Display directions of NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder::SelectionList
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

std::vector<NXOpen::CAE::FEElement *> NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder::ReverseDirections ( )

Reverses directions specified in NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder::SelectionList and returns those elements whose directions were reversed successfully.

This method will only reverse the directions for beam elements in the current work fem part.

Returns

Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::SelectTaggedObjectList* NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder::SelectionList ( )

Returns the selected objects to be checked.

The objects must be NXOpen::CAE::Mesh or NXOpen::CAE::FEElement
Created in NX8.5.0.

License requirements : None

virtual void NXOpen::CAE::ModelCheck::ReverseBeamElementDirectionBuilder::SetCheckScopeOption ( NXOpen::CAE::ModelCheck::CheckScope  scope)
virtual

Sets the check scope setting
Created in NX11.0.1.



License requirements : None

Parameters
scopescope

Implements NXOpen::CAE::ModelCheck::ISelectionBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.